<?php


namespace App\Entities\TipoProcedimento;


use App\Utils\Builder;

class TipoProcedimentoBuilder implements Builder
{
    protected $id;
    protected $descricao;

    public function setId($id) : TipoProcedimentoBuilder
    {
        $this->id = $id;
        return $this;
    }

    public function setDescricao($descricao) : TipoProcedimentoBuilder
    {
        $this->descricao = $descricao;
        return $this;
    }

    public function build() : TipoProcedimento
    {
        $tipo_procedimento = New TipoProcedimento();
        if (isset($this->id)) {
            $tipo_procedimento->setid($this->id);
        }
        if (isset($this->descricao)) {
            $tipo_procedimento->setdescricao($this->descricao);
        }
        return $tipo_procedimento;
    }
}